Bug 283697 - Crashes on ftp and http ioslaves
Summary: Crashes on ftp and http ioslaves
Status: RESOLVED FIXED
Alias: None
Product: kio
Classification: Frameworks and Libraries
Component: general (show other bugs)
Version: SVN
Platform: Compiled Sources Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: David Faure
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-10 09:48 UTC by Emil Sedgh
Modified: 2011-10-11 15:08 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.7 BRANCH


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Emil Sedgh 2011-10-10 09:48:47 UTC
Version:           SVN (using Devel) 
OS:                Linux

Random crashes happen on http ioslave due to KProtocolInfo.
However, i can get the ftp kioslave crash easily.

Reproducible: Always

Steps to Reproduce:
Open Konqueror.
Start entering a url which starts with ftp://

Actual Results:  
Konqueror crashes.


Expected Results:  
It shouldnt crash.

Its also reproducable from KWrite, Kate and Dolphin or anything that uses kio.
Comment 1 Emil Sedgh 2011-10-10 09:49:52 UTC
Thread 1 (Thread 0x7fa3a25a5760 (LWP 3207)):
[KCrash Handler]
#6  0x00007fa39df29f33 in QHostAddress::operator=(QHostAddress const&) () from /usr/lib/libQtNetwork.so.4
#7  0x00007fa39a71dadb in KProtocolManagerPrivate::shouldIgnoreProxyFor (this=0x23727e0, url=...) at /home/emilsedgh/kde/superbuild/kdelibs/build/Source/kdelibs/kio/kio/kprotocolmanager.cpp:189
#8  0x00007fa39a71de5b in KProtocolManager::proxiesForUrl (url=...) at /home/emilsedgh/kde/superbuild/kdelibs/build/Source/kdelibs/kio/kio/kprotocolmanager.cpp:433
#9  0x00007fa39a71f178 in KProtocolManager::slaveProtocol (url=..., proxyList=...) at /home/emilsedgh/kde/superbuild/kdelibs/build/Source/kdelibs/kio/kio/kprotocolmanager.cpp:537
#10 0x00007fa39a71f545 in KProtocolManager::slaveProtocol (url=<value optimized out>, proxy=...) at /home/emilsedgh/kde/superbuild/kdelibs/build/Source/kdelibs/kio/kio/kprotocolmanager.cpp:502
#11 0x00007fa39a71f634 in findProtocol (url=...) at /home/emilsedgh/kde/superbuild/kdelibs/build/Source/kdelibs/kio/kio/kprotocolmanager.cpp:958
#12 0x00007fa39a71fbe2 in KProtocolManager::supportsListing (url=<value optimized out>) at /home/emilsedgh/kde/superbuild/kdelibs/build/Source/kdelibs/kio/kio/kprotocolmanager.cpp:995
#13 0x00007fa39a735692 in urlCompletion (this=0x205f900, url=..., pMatch=0x7fff2fa0aca0) at /home/emilsedgh/kde/superbuild/kdelibs/build/Source/kdelibs/kio/kio/kurlcompletion.cpp:978
#14 KUrlCompletionPrivate::urlCompletion (this=0x205f900, url=..., pMatch=0x7fff2fa0aca0) at /home/emilsedgh/kde/superbuild/kdelibs/build/Source/kdelibs/kio/kio/kurlcompletion.cpp:959
#15 0x00007fa39a737401 in KUrlCompletion::makeCompletion (this=0x1ec3770, text=<value optimized out>) at /home/emilsedgh/kde/superbuild/kdelibs/build/Source/kdelibs/kio/kio/kurlcompletion.cpp:638
#16 0x00007fa38f02ecbb in KonqMainWindow::slotMakeCompletion (this=0x1bf0250, text=...) at /home/emilsedgh/kde/superbuild/kdebase/build/Source/kde-baseapps/konqueror/src/konqmainwindow.cpp:2989
#17 0x00007fa38f03406c in KonqMainWindow::qt_metacall (this=0x1bf0250, _c=QMetaObject::InvokeMetaMethod, _id=107, _a=0x7fff2fa0afd0) at /home/emilsedgh/kde/superbuild/kdebase/build/Build/kde-baseapps/konqueror/src/konqmainwindow.moc:443
#18 0x00007fa3a0f51b2a in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
#19 0x00007fa3a2016855 in KComboBox::completion (this=<value optimized out>, _t1=<value optimized out>) at /home/emilsedgh/kde/superbuild/kdelibs/build/Build/kdelibs/kdeui/kcombobox.moc:182
#20 0x00007fa3a2016ba4 in KComboBox::qt_metacall (this=0x1ea6320, _c=QMetaObject::InvokeMetaMethod, _id=2, _a=0x7fff2fa0b150) at /home/emilsedgh/kde/superbuild/kdelibs/build/Build/kdelibs/kdeui/kcombobox.moc:113
#21 0x00007fa3a202c370 in KHistoryComboBox::qt_metacall (this=0x1ea6320, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff2fa0b150) at /home/emilsedgh/kde/superbuild/kdelibs/build/Build/kdelibs/kdeui/khistorycombobox.moc:83
#22 0x00007fa38f00d0e0 in KonqCombo::qt_metacall (this=0x1ea6320, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff2fa0b150) at /home/emilsedgh/kde/superbuild/kdebase/build/Build/kde-baseapps/konqueror/src/konqcombo.moc:75
#23 0x00007fa3a0f51b2a in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
#24 0x00007fa3a2037155 in KLineEdit::completion (this=<value optimized out>, _t1=<value optimized out>) at /home/emilsedgh/kde/superbuild/kdelibs/build/Build/kdelibs/kdeui/klineedit.moc:232
#25 0x00007fa3a20371db in KLineEdit::doCompletion (this=0x202d210, txt=...) at /home/emilsedgh/kde/superbuild/kdelibs/build/Source/kdelibs/kdeui/widgets/klineedit.cpp:1875
#26 0x00007fa3a203958a in KLineEdit::keyPressEvent (this=0x202d210, e=0x7fff2fa0c200) at /home/emilsedgh/kde/superbuild/kdelibs/build/Source/kdelibs/kdeui/widgets/klineedit.cpp:1002
#27 0x00007fa3a012c09a in QWidget::event(QEvent*) () from /usr/lib/libQtGui.so.4
#28 0x00007fa3a04dafc7 in QLineEdit::event(QEvent*) () from /usr/lib/libQtGui.so.4
#29 0x00007fa3a2037bfb in KLineEdit::event (this=0x202d210, ev=0x7fff2fa0c200) at /home/emilsedgh/kde/superbuild/kdelibs/build/Source/kdelibs/kdeui/widgets/klineedit.cpp:1403
#30 0x00007fa3a04a58dd in QComboBox::keyPressEvent(QKeyEvent*) () from /usr/lib/libQtGui.so.4
#31 0x00007fa3a202bd80 in KHistoryComboBox::keyPressEvent (this=0x1ea6320, e=0x7fff2fa0c200) at /home/emilsedgh/kde/superbuild/kdelibs/build/Source/kdelibs/kdeui/widgets/khistorycombobox.cpp:349
#32 0x00007fa38f00d45e in KonqCombo::keyPressEvent (this=0x1ea6320, e=0x7fff2fa0c200) at /home/emilsedgh/kde/superbuild/kdebase/build/Source/kde-baseapps/konqueror/src/konqcombo.cpp:433
#33 0x00007fa3a012c09a in QWidget::event(QEvent*) () from /usr/lib/libQtGui.so.4
#34 0x00007fa3a00db9f4 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#35 0x00007fa3a00e0f76 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#36 0x00007fa3a1f7e9a6 in KApplication::notify (this=0x7fff2fa0d260, receiver=0x1ea6320, event=0x7fff2fa0c200) at /home/emilsedgh/kde/superbuild/kdelibs/build/Source/kdelibs/kdeui/kernel/kapplication.cpp:311
#37 0x00007fa3a0f3efcc in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#38 0x00007fa3a017b9d9 in ?? () from /usr/lib/libQtGui.so.4
#39 0x00007fa3a017be1b in ?? () from /usr/lib/libQtGui.so.4
#40 0x00007fa3a01577d4 in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib/libQtGui.so.4
#41 0x00007fa3a017fd32 in ?? () from /usr/lib/libQtGui.so.4
#42 0x00007fa39c0d94a3 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#43 0x00007fa39c0d9c80 in ?? () from /lib/libglib-2.0.so.0
#44 0x00007fa39c0d9f1d in g_main_context_iteration () from /lib/libglib-2.0.so.0
#45 0x00007fa3a0f69acf in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#46 0x00007fa3a017f9ce in ?? () from /usr/lib/libQtGui.so.4
#47 0x00007fa3a0f3e1d2 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#48 0x00007fa3a0f3e3cf in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#49 0x00007fa3a0f42577 in QCoreApplication::exec() () from /usr/lib/libQtCore.so.4
#50 0x00007fa38f052f42 in kdemain (argc=<value optimized out>, argv=<value optimized out>) at /home/emilsedgh/kde/superbuild/kdebase/build/Source/kde-baseapps/konqueror/src/konqmain.cpp:227
#51 0x00000000004087f2 in launch (argc=2, _name=0x1af0408 "/home/emilsedgh/kde/installed/bin/konqueror", args=<value optimized out>, cwd=0x0, envc=<value optimized out>, envs=<value optimized out>, reset_env=false, tty=0x0, avoid_loops=false, startup_id_str=0x1af044d "debian;1318240136;984278;26785_TIME82775426") at /home/emilsedgh/kde/superbuild/kdelibs/build/Source/kdelibs/kinit/kinit.cpp:734
#52 0x00000000004096f6 in handle_launcher_request (sock=<value optimized out>, who=<value optimized out>) at /home/emilsedgh/kde/superbuild/kdelibs/build/Source/kdelibs/kinit/kinit.cpp:1226
#53 0x0000000000409d8f in handle_requests (waitForPid=0) at /home/emilsedgh/kde/superbuild/kdelibs/build/Source/kdelibs/kinit/kinit.cpp:1419
#54 0x000000000040573f in main (argc=4, argv=0x7fff00000001, envp=0x7fff2fa0ec00) at /home/emilsedgh/kde/superbuild/kdelibs/build/Source/kdelibs/kinit/kinit.cpp:1907
Comment 2 Emil Sedgh 2011-10-10 09:51:42 UTC
And here is a bt from dolphin:
(Also adding Dawit to report)

Thread 1 (Thread 0x7fa3a25a5760 (LWP 3308)):
[KCrash Handler]
#6  0x00007fa39df29f33 in QHostAddress::operator=(QHostAddress const&) () from /usr/lib/libQtNetwork.so.4
#7  0x00007fa39a71dadb in KProtocolManagerPrivate::shouldIgnoreProxyFor (this=0x1c95850, url=...) at /home/emilsedgh/kde/superbuild/kdelibs/build/Source/kdelibs/kio/kio/kprotocolmanager.cpp:189
#8  0x00007fa39a71de5b in KProtocolManager::proxiesForUrl (url=...) at /home/emilsedgh/kde/superbuild/kdelibs/build/Source/kdelibs/kio/kio/kprotocolmanager.cpp:433
#9  0x00007fa39a71f178 in KProtocolManager::slaveProtocol (url=..., proxyList=...) at /home/emilsedgh/kde/superbuild/kdelibs/build/Source/kdelibs/kio/kio/kprotocolmanager.cpp:537
#10 0x00007fa39a71f545 in KProtocolManager::slaveProtocol (url=<value optimized out>, proxy=...) at /home/emilsedgh/kde/superbuild/kdelibs/build/Source/kdelibs/kio/kio/kprotocolmanager.cpp:502
#11 0x00007fa39a71f634 in findProtocol (url=...) at /home/emilsedgh/kde/superbuild/kdelibs/build/Source/kdelibs/kio/kio/kprotocolmanager.cpp:958
#12 0x00007fa39a71fbe2 in KProtocolManager::supportsListing (url=<value optimized out>) at /home/emilsedgh/kde/superbuild/kdelibs/build/Source/kdelibs/kio/kio/kprotocolmanager.cpp:995
#13 0x00007fa39a735692 in urlCompletion (this=0x1e784d0, url=..., pMatch=0x7fff2fa0b6a0) at /home/emilsedgh/kde/superbuild/kdelibs/build/Source/kdelibs/kio/kio/kurlcompletion.cpp:978
#14 KUrlCompletionPrivate::urlCompletion (this=0x1e784d0, url=..., pMatch=0x7fff2fa0b6a0) at /home/emilsedgh/kde/superbuild/kdelibs/build/Source/kdelibs/kio/kio/kurlcompletion.cpp:959
#15 0x00007fa39a737401 in KUrlCompletion::makeCompletion (this=0x1e782f0, text=<value optimized out>) at /home/emilsedgh/kde/superbuild/kdelibs/build/Source/kdelibs/kio/kio/kurlcompletion.cpp:638
#16 0x00007fa3a2037625 in KLineEdit::makeCompletion (this=0x1cd7c00, text=...) at /home/emilsedgh/kde/superbuild/kdelibs/build/Source/kdelibs/kdeui/widgets/klineedit.cpp:495
#17 0x00007fa3a20371ac in KLineEdit::doCompletion (this=0x1cd7c00, txt=...) at /home/emilsedgh/kde/superbuild/kdelibs/build/Source/kdelibs/kdeui/widgets/klineedit.cpp:1879
#18 0x00007fa3a203958a in KLineEdit::keyPressEvent (this=0x1cd7c00, e=0x7fff2fa0c740) at /home/emilsedgh/kde/superbuild/kdelibs/build/Source/kdelibs/kdeui/widgets/klineedit.cpp:1002
#19 0x00007fa3a012c09a in QWidget::event(QEvent*) () from /usr/lib/libQtGui.so.4
#20 0x00007fa3a04dafc7 in QLineEdit::event(QEvent*) () from /usr/lib/libQtGui.so.4
#21 0x00007fa3a2037bfb in KLineEdit::event (this=0x1cd7c00, ev=0x7fff2fa0c740) at /home/emilsedgh/kde/superbuild/kdelibs/build/Source/kdelibs/kdeui/widgets/klineedit.cpp:1403
#22 0x00007fa3a04a58dd in QComboBox::keyPressEvent(QKeyEvent*) () from /usr/lib/libQtGui.so.4
#23 0x00007fa3a012c09a in QWidget::event(QEvent*) () from /usr/lib/libQtGui.so.4
#24 0x00007fa3a00db9f4 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#25 0x00007fa3a00e0f76 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#26 0x00007fa3a1f7e9a6 in KApplication::notify (this=0x7fff2fa0d640, receiver=0x1cd6f40, event=0x7fff2fa0c740) at /home/emilsedgh/kde/superbuild/kdelibs/build/Source/kdelibs/kdeui/kernel/kapplication.cpp:311
#27 0x00007fa3a0f3efcc in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#28 0x00007fa3a017b9d9 in ?? () from /usr/lib/libQtGui.so.4
#29 0x00007fa3a017be1b in ?? () from /usr/lib/libQtGui.so.4
#30 0x00007fa3a01577d4 in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib/libQtGui.so.4
#31 0x00007fa3a017fd32 in ?? () from /usr/lib/libQtGui.so.4
#32 0x00007fa39c0d94a3 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#33 0x00007fa39c0d9c80 in ?? () from /lib/libglib-2.0.so.0
#34 0x00007fa39c0d9f1d in g_main_context_iteration () from /lib/libglib-2.0.so.0
#35 0x00007fa3a0f69acf in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#36 0x00007fa3a017f9ce in ?? () from /usr/lib/libQtGui.so.4
#37 0x00007fa3a0f3e1d2 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#38 0x00007fa3a0f3e3cf in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#39 0x00007fa3a0f42577 in QCoreApplication::exec() () from /usr/lib/libQtCore.so.4
#40 0x00007fa38f0465c9 in kdemain (argc=5, argv=0x1aedcc0) at /home/emilsedgh/kde/superbuild/kdebase/build/Source/kde-baseapps/dolphin/src/main.cpp:85
#41 0x00000000004087f2 in launch (argc=5, _name=0x1aede88 "/home/emilsedgh/kde/installed/bin/dolphin", args=<value optimized out>, cwd=0x0, envc=<value optimized out>, envs=<value optimized out>, reset_env=false, tty=0x0, avoid_loops=false, startup_id_str=0x1aedef9 "debian;1318240242;127173;26785_TIME82880570") at /home/emilsedgh/kde/superbuild/kdelibs/build/Source/kdelibs/kinit/kinit.cpp:734
#42 0x00000000004096f6 in handle_launcher_request (sock=<value optimized out>, who=<value optimized out>) at /home/emilsedgh/kde/superbuild/kdelibs/build/Source/kdelibs/kinit/kinit.cpp:1226
#43 0x0000000000409d8f in handle_requests (waitForPid=0) at /home/emilsedgh/kde/superbuild/kdelibs/build/Source/kdelibs/kinit/kinit.cpp:1419
#44 0x000000000040573f in main (argc=4, argv=0x7fff00000001, envp=0x7fff2fa0ec00) at /home/emilsedgh/kde/superbuild/kdelibs/build/Source/kdelibs/kinit/kinit.cpp:1907
Comment 3 Emil Sedgh 2011-10-10 10:32:26 UTC
Finally, this is one of those 'random' crashes on Konqueror. Its not the result of typing ay url. Happens occasionaly when browsing web.

Thread 1 (Thread 0x7fa3a25a5760 (LWP 4203)):
[KCrash Handler]
#6  0x00007fa39df29f33 in QHostAddress::operator=(QHostAddress const&) () from /usr/lib/libQtNetwork.so.4
#7  0x00007fa39a71dadb in KProtocolManagerPrivate::shouldIgnoreProxyFor (this=0x2391530, url=...) at /home/emilsedgh/kde/superbuild/kdelibs/build/Source/kdelibs/kio/kio/kprotocolmanager.cpp:189
#8  0x00007fa39a71de5b in KProtocolManager::proxiesForUrl (url=...) at /home/emilsedgh/kde/superbuild/kdelibs/build/Source/kdelibs/kio/kio/kprotocolmanager.cpp:433
#9  0x00007fa39a71f178 in KProtocolManager::slaveProtocol (url=..., proxyList=...) at /home/emilsedgh/kde/superbuild/kdelibs/build/Source/kdelibs/kio/kio/kprotocolmanager.cpp:537
#10 0x00007fa39a74f54d in KIO::SchedulerPrivate::doJob (this=0x237e450, job=0x5329570) at /home/emilsedgh/kde/superbuild/kdelibs/build/Source/kdelibs/kio/kio/scheduler.cpp:957
#11 0x00007fa39a6b990d in KIO::SimpleJobPrivate::simpleJobInit (this=0x3ed5900) at /home/emilsedgh/kde/superbuild/kdelibs/build/Source/kdelibs/kio/kio/job.cpp:308
#12 0x00007fa39a6bb299 in KIO::TransferJob::TransferJob (this=0x5329570, dd=<value optimized out>) at /home/emilsedgh/kde/superbuild/kdelibs/build/Source/kdelibs/kio/kio/job.cpp:957
#13 0x00007fa39a6bfca2 in newJob (url=<value optimized out>, reload=KIO::NoReload, flags=<value optimized out>) at /home/emilsedgh/kde/superbuild/kdelibs/build/Source/kdelibs/kio/kio/job_p.h:306
#14 KIO::get (url=<value optimized out>, reload=KIO::NoReload, flags=<value optimized out>) at /home/emilsedgh/kde/superbuild/kdelibs/build/Source/kdelibs/kio/kio/job.cpp:1345
#15 0x00007fa38908ec69 in khtml::Loader::scheduleRequest (this=0x228fd90, req=0x52bb030) at /home/emilsedgh/kde/superbuild/kdelibs/build/Source/kdelibs/khtml/misc/loader.cpp:1200
#16 0x00007fa38908f23d in khtml::Loader::load (this=0x228fd90, dl=0x2d9e550, object=0x3ed24e0, incremental=false, priority=<value optimized out>) at /home/emilsedgh/kde/superbuild/kdelibs/build/Source/kdelibs/khtml/misc/loader.cpp:1189
#17 0x00007fa38908f67e in khtml::CachedScript::CachedScript (this=0x3ed24e0, dl=0x2d9e550, url=<value optimized out>, _cachePolicy=KIO::CC_Verify) at /home/emilsedgh/kde/superbuild/kdelibs/build/Source/kdelibs/khtml/misc/loader.cpp:358
#18 0x00007fa3890938cb in khtml::Cache::requestObject<khtml::CachedScript, (khtml::CachedObject::Type)2> (dl=0x2d9e550, kurl=<value optimized out>, accept=0x0) at /home/emilsedgh/kde/superbuild/kdelibs/build/Source/kdelibs/khtml/misc/loader.cpp:1475
#19 0x00007fa389091688 in khtml::DocLoader::requestScript (this=0x2d9e550, url=<value optimized out>, charset=...) at /home/emilsedgh/kde/superbuild/kdelibs/build/Source/kdelibs/khtml/misc/loader.cpp:1111
#20 0x00007fa388f6dbb0 in khtml::HTMLTokenizer::scriptHandler (this=0x2dbd6e0) at /home/emilsedgh/kde/superbuild/kdelibs/build/Source/kdelibs/khtml/html/htmltokenizer.cpp:453
#21 0x00007fa388f6f181 in khtml::HTMLTokenizer::parseRawContent (this=0x2dbd6e0, src=...) at /home/emilsedgh/kde/superbuild/kdelibs/build/Source/kdelibs/khtml/html/htmltokenizer.cpp:379
#22 0x00007fa388f71b5b in khtml::HTMLTokenizer::parseTag (this=0x2dbd6e0, src=...) at /home/emilsedgh/kde/superbuild/kdelibs/build/Source/kdelibs/khtml/html/htmltokenizer.cpp:1528
#23 0x00007fa388f72405 in khtml::HTMLTokenizer::write (this=0x2dbd6e0, str=<value optimized out>, appendData=<value optimized out>) at /home/emilsedgh/kde/superbuild/kdelibs/build/Source/kdelibs/khtml/html/htmltokenizer.cpp:1799
#24 0x00007fa388f16643 in DOM::DocumentImpl::write (this=0x2db6fe0, text=...) at /home/emilsedgh/kde/superbuild/kdelibs/build/Source/kdelibs/khtml/xml/dom_docimpl.cpp:1687
#25 0x00007fa3890d507d in KJS::HTMLDocFunction::callAsFunction (this=0x7fa3841d57c0, exec=0x7fff2fa08ac0, thisObj=<value optimized out>, args=...) at /home/emilsedgh/kde/superbuild/kdelibs/build/Source/kdelibs/khtml/ecma/kjs_html.cpp:135
#26 0x00007fa388a3f6fa in call (exec=0x7fff2fa08ac0, codeBlock=..., parentExec=0x7fff2fa09520) at /home/emilsedgh/kde/superbuild/kdelibs/build/Source/kdelibs/kjs/object.h:626
#27 KJS::Machine::runBlock (exec=0x7fff2fa08ac0, codeBlock=..., parentExec=0x7fff2fa09520) at codes.def:1223
#28 0x00007fa388a20bd2 in KJS::FunctionImp::callAsFunction (this=0x7fa3841c3840, exec=0x7fff2fa09520, thisObj=<value optimized out>, args=...) at /home/emilsedgh/kde/superbuild/kdelibs/build/Source/kdelibs/kjs/function.cpp:172
#29 0x00007fa388a3f6fa in call (exec=0x7fff2fa09520, codeBlock=..., parentExec=0x7fff2fa09f80) at /home/emilsedgh/kde/superbuild/kdelibs/build/Source/kdelibs/kjs/object.h:626
#30 KJS::Machine::runBlock (exec=0x7fff2fa09520, codeBlock=..., parentExec=0x7fff2fa09f80) at codes.def:1223
#31 0x00007fa388a20bd2 in KJS::FunctionImp::callAsFunction (this=0x7fa3841c9880, exec=0x7fff2fa09f80, thisObj=<value optimized out>, args=...) at /home/emilsedgh/kde/superbuild/kdelibs/build/Source/kdelibs/kjs/function.cpp:172
#32 0x00007fa388a3f6fa in call (exec=0x7fff2fa09f80, codeBlock=..., parentExec=0x7fff2fa0a9e0) at /home/emilsedgh/kde/superbuild/kdelibs/build/Source/kdelibs/kjs/object.h:626
#33 KJS::Machine::runBlock (exec=0x7fff2fa09f80, codeBlock=..., parentExec=0x7fff2fa0a9e0) at codes.def:1223
#34 0x00007fa388a20bd2 in KJS::FunctionImp::callAsFunction (this=0x7fa3841c9700, exec=0x7fff2fa0a9e0, thisObj=<value optimized out>, args=...) at /home/emilsedgh/kde/superbuild/kdelibs/build/Source/kdelibs/kjs/function.cpp:172
#35 0x00007fa388a3f6fa in call (exec=0x7fff2fa0a9e0, codeBlock=..., parentExec=0x7fff2fa0b510) at /home/emilsedgh/kde/superbuild/kdelibs/build/Source/kdelibs/kjs/object.h:626
#36 KJS::Machine::runBlock (exec=0x7fff2fa0a9e0, codeBlock=..., parentExec=0x7fff2fa0b510) at codes.def:1223
#37 0x00007fa388a20bd2 in KJS::FunctionImp::callAsFunction (this=0x7fa3841c9500, exec=0x7fff2fa0b510, thisObj=<value optimized out>, args=...) at /home/emilsedgh/kde/superbuild/kdelibs/build/Source/kdelibs/kjs/function.cpp:172
#38 0x00007fa388a3f6fa in call (exec=0x7fff2fa0b510, codeBlock=..., parentExec=0x0) at /home/emilsedgh/kde/superbuild/kdelibs/build/Source/kdelibs/kjs/object.h:626
#39 KJS::Machine::runBlock (exec=0x7fff2fa0b510, codeBlock=..., parentExec=0x0) at codes.def:1223
#40 0x00007fa3889fb067 in KJS::FunctionBodyNode::execute (this=0x53eb080, exec=0x7fff2fa0b510) at /home/emilsedgh/kde/superbuild/kdelibs/build/Source/kdelibs/kjs/nodes.cpp:927
#41 0x00007fa388a287f2 in KJS::Interpreter::evaluate (this=0x2a07ce0, sourceURL=..., startingLineNumber=0, code=0x483e8d0, codeLength=<value optimized out>, thisV=0x7fa384570000) at /home/emilsedgh/kde/superbuild/kdelibs/build/Source/kdelibs/kjs/interpreter.cpp:564
#42 0x00007fa388a288d4 in KJS::Interpreter::evaluate (this=<value optimized out>, sourceURL=<value optimized out>, startingLineNumber=<value optimized out>, code=<value optimized out>, thisV=<value optimized out>) at /home/emilsedgh/kde/superbuild/kdelibs/build/Source/kdelibs/kjs/interpreter.cpp:504
#43 0x00007fa38910b237 in KJSProxy::evaluate (this=0x2d7b260, filename=..., baseLine=0, str=..., n=<value optimized out>, completion=0x7fff2fa0b890) at /home/emilsedgh/kde/superbuild/kdelibs/build/Source/kdelibs/khtml/ecma/kjs_proxy.cpp:126
#44 0x00007fa388ea63e3 in KHTMLPart::executeScript (this=0x2cfcb80, filename=..., baseLine=0, n=..., script=...) at /home/emilsedgh/kde/superbuild/kdelibs/build/Source/kdelibs/khtml/khtml_part.cpp:1274
#45 0x00007fa388f68d05 in khtml::HTMLTokenizer::scriptExecution (this=0x2dbd6e0, str=..., scriptURL=<value optimized out>, baseLine=0) at /home/emilsedgh/kde/superbuild/kdelibs/build/Source/kdelibs/khtml/html/htmltokenizer.cpp:517
#46 0x00007fa388f6cdb7 in khtml::HTMLTokenizer::notifyFinished (this=0x2dbd6e0, finishedObj=<value optimized out>) at /home/emilsedgh/kde/superbuild/kdelibs/build/Source/kdelibs/khtml/html/htmltokenizer.cpp:2118
#47 0x00007fa38908c95f in khtml::CachedScript::checkNotify (this=0x4318950) at /home/emilsedgh/kde/superbuild/kdelibs/build/Source/kdelibs/khtml/misc/loader.cpp:397
#48 0x00007fa38908cb4c in khtml::CachedScript::data (this=0x4318950, buffer=<value optimized out>, eof=<value optimized out>) at /home/emilsedgh/kde/superbuild/kdelibs/build/Source/kdelibs/khtml/misc/loader.cpp:389
#49 0x00007fa38908e62b in khtml::Loader::slotFinished (this=0x228fd90, job=0x4318b50) at /home/emilsedgh/kde/superbuild/kdelibs/build/Source/kdelibs/khtml/misc/loader.cpp:1262
#50 0x00007fa38908eb83 in khtml::Loader::qt_metacall (this=0x228fd90, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff2fa0bec0) at /home/emilsedgh/kde/superbuild/kdelibs/build/Build/kdelibs/khtml/loader.moc:141
#51 0x00007fa3a0f51b2a in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
#52 0x00007fa3a1637c02 in KJob::result (this=<value optimized out>, _t1=0x4318b50) at /home/emilsedgh/kde/superbuild/kdelibs/build/Build/kdelibs/kdecore/kjob.moc:194
#53 0x00007fa3a1637c40 in KJob::emitResult (this=0x4318b50) at /home/emilsedgh/kde/superbuild/kdelibs/build/Source/kdelibs/kdecore/jobs/kjob.cpp:312
#54 0x00007fa39a6b9c24 in KIO::SimpleJob::slotFinished (this=0x4318b50) at /home/emilsedgh/kde/superbuild/kdelibs/build/Source/kdelibs/kio/kio/job.cpp:494
#55 0x00007fa39a6c164d in KIO::TransferJob::slotFinished (this=0x4318b50) at /home/emilsedgh/kde/superbuild/kdelibs/build/Source/kdelibs/kio/kio/job.cpp:1081
#56 0x00007fa39a6bffb1 in KIO::TransferJob::qt_metacall (this=0x4318b50, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff2fa0c270) at /home/emilsedgh/kde/superbuild/kdelibs/build/Build/kdelibs/kio/jobclasses.moc:369
#57 0x00007fa3a0f51b2a in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
#58 0x00007fa39a764d71 in KIO::SlaveInterface::dispatch (this=<value optimized out>, _cmd=104, rawdata=...) at /home/emilsedgh/kde/superbuild/kdelibs/build/Source/kdelibs/kio/kio/slaveinterface.cpp:172
#59 0x00007fa39a761c25 in KIO::SlaveInterface::dispatch (this=<value optimized out>) at /home/emilsedgh/kde/superbuild/kdelibs/build/Source/kdelibs/kio/kio/slaveinterface.cpp:88
#60 0x00007fa39a754e8e in KIO::Slave::gotInput (this=0x29215d0) at /home/emilsedgh/kde/superbuild/kdelibs/build/Source/kdelibs/kio/kio/slave.cpp:344
#61 0x00007fa39a7555ec in KIO::Slave::qt_metacall (this=0x29215d0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff2fa0c6a0) at /home/emilsedgh/kde/superbuild/kdelibs/build/Build/kdelibs/kio/slave.moc:82
#62 0x00007fa3a0f51b2a in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
#63 0x00007fa39a68ad37 in dequeue (this=0x31fba50) at /home/emilsedgh/kde/superbuild/kdelibs/build/Source/kdelibs/kio/kio/connection.cpp:82
#64 KIO::ConnectionPrivate::dequeue (this=0x31fba50) at /home/emilsedgh/kde/superbuild/kdelibs/build/Source/kdelibs/kio/kio/connection.cpp:71
#65 0x00007fa39a68addd in KIO::Connection::qt_metacall (this=0x38c6be0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x2fa1a50) at /home/emilsedgh/kde/superbuild/kdelibs/build/Build/kdelibs/kio/connection.moc:79
#66 0x00007fa3a0f556da in QObject::event(QEvent*) () from /usr/lib/libQtCore.so.4
#67 0x00007fa3a00db9f4 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#68 0x00007fa3a00e0881 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#69 0x00007fa3a1f7e9a6 in KApplication::notify (this=0x7fff2fa0d260, receiver=0x38c6be0, event=0x2f9d2c0) at /home/emilsedgh/kde/superbuild/kdelibs/build/Source/kdelibs/kdeui/kernel/kapplication.cpp:311
#70 0x00007fa3a0f3efcc in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#71 0x00007fa3a0f42388 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /usr/lib/libQtCore.so.4
#72 0x00007fa3a0f69673 in ?? () from /usr/lib/libQtCore.so.4
#73 0x00007fa39c0d94a3 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#74 0x00007fa39c0d9c80 in ?? () from /lib/libglib-2.0.so.0
#75 0x00007fa39c0d9f1d in g_main_context_iteration () from /lib/libglib-2.0.so.0
#76 0x00007fa3a0f69acf in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#77 0x00007fa3a017f9ce in ?? () from /usr/lib/libQtGui.so.4
#78 0x00007fa3a0f3e1d2 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#79 0x00007fa3a0f3e3cf in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#80 0x00007fa3a0f42577 in QCoreApplication::exec() () from /usr/lib/libQtCore.so.4
#81 0x00007fa38f052f42 in kdemain (argc=<value optimized out>, argv=<value optimized out>) at /home/emilsedgh/kde/superbuild/kdebase/build/Source/kde-baseapps/konqueror/src/konqmain.cpp:227
#82 0x00000000004087f2 in launch (argc=2, _name=0x1aed6b8 "/home/emilsedgh/kde/installed/bin/konqueror", args=<value optimized out>, cwd=0x0, envc=<value optimized out>, envs=<value optimized out>, reset_env=false, tty=0x0, avoid_loops=false, startup_id_str=0x1aed6fd "debian;1318242547;327962;26785_TIME85185770") at /home/emilsedgh/kde/superbuild/kdelibs/build/Source/kdelibs/kinit/kinit.cpp:734
#83 0x00000000004096f6 in handle_launcher_request (sock=<value optimized out>, who=<value optimized out>) at /home/emilsedgh/kde/superbuild/kdelibs/build/Source/kdelibs/kinit/kinit.cpp:1226
#84 0x0000000000409d8f in handle_requests (waitForPid=0) at /home/emilsedgh/kde/superbuild/kdelibs/build/Source/kdelibs/kinit/kinit.cpp:1419
#85 0x000000000040573f in main (argc=4, argv=0x7fff00000001, envp=0x7fff2fa0ec00) at /home/emilsedgh/kde/superbuild/kdelibs/build/Source/kdelibs/kinit/kinit.cpp:1907
Comment 5 Emil Sedgh 2011-10-10 17:52:05 UTC
Hello again, Dawit.
I updated my kdelibs and the bug is indeed fixed. However, addressbar becomes very.
start typing ftp://somehost.
starting right after the second slash (ftp://), typing each character gets a lot of delay.
Thanks again.
Comment 6 Dawit Alemayehu 2011-10-11 15:08:20 UTC
Git commit 6c9138fa6f22789bd043787281b224e7026327ad by Dawit Alemayehu.
Committed on 11/10/2011 at 11:54.
Pushed by adawit into branch 'KDE/4.7'.

Moved the check for whether the protocol supports listing or not after the
check for path information so that remote URL completion will only be
attempted after the full hostname is available.

Fixes slowness when typing in ftp address when proxying has been enabled
and the proxy exception list contains IP addresses or address ranges.

CCBUG: 283697

M  +4    -4    kio/kio/kurlcompletion.cpp

http://commits.kde.org/kdelibs/6c9138fa6f22789bd043787281b224e7026327ad